Name: GR
Version: 0.71.2
Release: 1%{?dist}
Summary: A graphics library for visualisation applications
Group:   Development/Libraries
License: MIT
URL:     https://gr-framework.org/
Source0: https://github.com/sciapp/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: cmake
BuildRequires: ffmpeg-free-devel
BuildRequires: freetype-devel
BuildRequires: gcc-c++
BuildRequires: ghostscript-devel
BuildRequires: glfw-devel
BuildRequires: gtk2-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libtheora-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: libXft-devel
BuildRequires: pixman-devel
BuildRequires: qhull-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: wxGTK3-devel
BuildRequires: zeromq-devel
BuildRequires: zlib-devel
# Do not use bundled fonts
Requires: urw-base35-fonts
Requires: texlive-dingbat
Requires: dejavu-fonts-all
Requires: texlive-fpl


%description
GR is a universal framework for cross-platform visualization applications.
It offers developers a compact, portable and consistent graphics library
for their programs. Applications range from publication quality 2D graphs
to the representation of complex 3D scenes.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n gr-%{version}

%build

%cmake -DGR_BUILD_DEMOS=OFF \
       -DGR_USE_BUNDLED_LIBRARIES=OFF \
       -DCMAKE_SKIP_INSTALL_RPATH=ON \
       -DCMAKE_SKIP_RPATH=ON
%cmake_build

%install
%cmake_install
rm -r %{buildroot}/usr//fonts
# Remove static libraries (share libraries are available)
rm %{buildroot}/%{_libdir}/*.a

%check
# No tests

%files
%{_bindir}/gksqt
%{_bindir}/grplot
#%{_libdir}/*.so.*
#%exclude fonts
%license LICENSE.md
%exclude %{_datadir}/doc/GR
%doc README.md
%doc examples/*.c
%doc examples/*.f
%{_libdir}/aggplugin.so
%{_libdir}/gsplugin.so
%{_libdir}/pgfplugin.so
%{_libdir}/qtplugin.so
%{_libdir}/x11plugin.so
%{_libdir}/cairoplugin.so
%{_libdir}/gtkplugin.so
%{_libdir}/libGR3platform.so
%{_libdir}/libGRM.so
%{_libdir}/svgplugin.so
%{_libdir}/zmqplugin.so
%{_libdir}/libGR3.so
%{_libdir}/libGR.so
%{_libdir}/qt5plugin.so
%{_libdir}/videoplugin.so
%{_libdir}/glplugin.so
%{_libdir}/libGKS.so
%{_libdir}/libqt5gr.so
%{_libdir}/libqt6gr.so
%{_libdir}/qt6plugin.so
%{_libdir}/wmfplugin.so

%files devel
%{_includedir}/*.h
%dir %{_includedir}/grm
%{_includedir}/grm/*.h
%dir %{_libdir}/cmake/GR/
%{_libdir}/cmake/GR/*.cmake
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Dec 23 2022 Benson Muite <benson_muite@emailplus.org> - 0.71.2
- Initial packaging
